import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/team',
    component: AppLayout,
    children: [
      { name: 'teamList', path: '', component: () => import('./views/Index.vue') },
      {
        name: 'teamCreate',
        path: 'create',
        component: () => import('./views/Create.vue'),
        meta: { requireLogin: true }
      },
      { name: 'teamView', path: 'view/:id', component: () => import('./views/View.vue'), props: true },
      {
        name: 'teamFilePublish',
        path: 'view/:id/file/publish',
        component: () => import('./views/PublishFile.vue'),
        meta: { requireLogin: true },
        props: true
      },
      {
        name: 'teamQuestionPublish',
        path: 'view/:id/question/publish',
        component: () => import('./views/PublishQuestion.vue'),
        meta: { requireLogin: true },
        props: true
      }
    ]
  }
]
